curl --request GET \
--url https://api.gospott.com/clients/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/clients/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": {
"viewType": "clientStatus",
"status": "lead"
},
"name": {
"viewType": "clientName",
"name": "<string>",
"avatarUrl": "<string>"
},
"description": {
"viewType": "clientDescription",
"description": "<string>"
},
"industry": {
"viewType": "clientIndustry",
"industry": "Accessible Architecture and Design"
},
"domain": {
"viewType": "clientDomain",
"domain": "<string>"
},
"linkedinUrl": {
"viewType": "clientLinkedinUrl",
"linkedinUrl": "<string>"
},
"size": {
"viewType": "clientSize",
"size": "1 employee"
},
"stage": {
"viewType": "clientStage",
"stage": {
"id": "<string>",
"order": 123,
"name": "<string>",
"colorHex": "<string>"
}
},
"nextTaskDue": {
"viewType": "clientNextTaskDue",
"nextTaskDue": {
"id": "<string>",
"content": "<string>",
"dueDate": "2023-11-07T05:31:56Z"
}
},
"locations": {
"viewType": "clientLocations",
"locations": [
{
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"countryCode": "AF",
"rawCityCountry": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>",
"type": "primary_home"
}
]
},
"customAttributes": [
{
"attributeDefinitionId": "<string>",
"label": "<string>",
"aiFillOngoing": true,
"aiOverridden": true,
"isFilledByAI": true,
"value": {
"viewType": "customText",
"text": "<string>"
}
}
],
"taxIdentifiers": [
{
"id": "<string>",
"country": "<string>",
"value": "<string>"
}
],
"createdBy": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"team": {
"id": "<string>"
},
"funding": {
"viewType": "clientFunding",
"funding": {
"round": 123,
"lastFundingDate": "2023-11-07T05:31:56Z",
"lastRoundType": "<string>",
"lastRoundAmount": "<string>"
}
},
"contacts": {
"viewType": "clientContacts",
"contacts": [
{
"id": "<string>",
"candidateId": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"avatarUrl": "<string>",
"emailAddresses": [
{
"emailAddress": "jsmith@example.com",
"purpose": "personal",
"isPrimary": true
}
],
"phoneNumbers": [
{
"phoneNumber": "<string>",
"purpose": "personal",
"isPrimary": true
}
],
"role": "<string>",
"department": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"active": true,
"mainContact": {
"userId": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
},
"stage": {
"id": "<string>",
"order": 123,
"name": "<string>",
"colorHex": "<string>"
},
"customAttributes": [
{
"attributeDefinitionId": "<string>",
"label": "<string>",
"aiFillOngoing": true,
"aiOverridden": true,
"isFilledByAI": true,
"value": {
"viewType": "customText",
"text": "<string>"
}
}
]
}
]
},
"isGlobalCompany": true,
"hierarchies": [
{
"id": "<string>",
"parent": {
"client": {
"id": "<string>"
},
"relationToParent": "SUBSIDIARY"
}
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"errors": [
{
"code": "REQUIRED",
"path": "<string>",
"message": "<string>",
"received": "<unknown>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "Company not found",
"requestId": "<string>",
"statusCode": 404,
"error": "Not Found"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Retrieve a client
Retrieves the client with the specified ID. Includes company details, contacts, industry, size, funding, locations, hierarchies, and custom attributes.
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Response
Successfully retrieved company details
Unique identifier for the client (company ID)
1Client status
Show child attributes
Show child attributes
Client/company name and avatar
Show child attributes
Show child attributes
Company description
Show child attributes
Show child attributes
Industry classification
Show child attributes
Show child attributes
Company website domain
Show child attributes
Show child attributes
LinkedIn company page URL
Show child attributes
Show child attributes
Company size (e.g. employee count band)
Show child attributes
Show child attributes
Pipeline stage for this client
Show child attributes
Show child attributes
Next task due for this client
Show child attributes
Show child attributes
Company locations
Show child attributes
Show child attributes
Custom attribute values for this client
Show child attributes
Show child attributes
Tax identifiers registered for this client
Show child attributes
Show child attributes
User who created the client
Show child attributes
Show child attributes
Timestamp when the client was created
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Timestamp when the client was last modified
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes
Funding information for the company
Show child attributes
Show child attributes
Contacts (people) associated with this client
Show child attributes
Show child attributes
Whether the company is marked as a global company
Client hierarchies this client belongs to
Show child attributes
Show child attributes
Was this page helpful?